Asociar usuario a cliente
curl --request POST \
--url https://api.pruff.com/api/clients/datahub/associateUser \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"businessIdentifier": "11111111-1",
"email": "ana.perez@example.com"
}
'import requests
url = "https://api.pruff.com/api/clients/datahub/associateUser"
payload = {
"businessIdentifier": "11111111-1",
"email": "ana.perez@example.com"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({businessIdentifier: '11111111-1', email: 'ana.perez@example.com'})
};
fetch('https://api.pruff.com/api/clients/datahub/associateUser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pruff.com/api/clients/datahub/associateUser",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'businessIdentifier' => '11111111-1',
'email' => 'ana.perez@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pruff.com/api/clients/datahub/associateUser"
payload := strings.NewReader("{\n \"businessIdentifier\": \"11111111-1\",\n \"email\": \"ana.perez@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pruff.com/api/clients/datahub/associateUser")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"businessIdentifier\": \"11111111-1\",\n \"email\": \"ana.perez@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pruff.com/api/clients/datahub/associateUser")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"businessIdentifier\": \"11111111-1\",\n \"email\": \"ana.perez@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"message": "User associated successfully"
}Datahub
Asociar usuario a cliente
Agrega un cliente a la cartera de un usuario de tu empresa en Pruff, a partir del email del usuario y el RUT del cliente. El usuario debe existir en tu cuenta de Pruff y el cliente debe haber sido enrolado alguna vez en tu empresa (hasBeenEnrolled: true en GET /datahub/isEnrolled/{identifier}); no se exige que esté activo ni que no esté pausado. Envía businessIdentifier y email como texto (string).
Si el usuario y el cliente no tenían una asociación, se crea. Si existía pero estaba inactiva, se reactiva. En ambos casos responde 200 con User associated successfully. Si ya existía una asociación activa, no se modifica nada y responde 200 con User already associated with this business.
POST
/
datahub
/
associateUser
Asociar usuario a cliente
curl --request POST \
--url https://api.pruff.com/api/clients/datahub/associateUser \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"businessIdentifier": "11111111-1",
"email": "ana.perez@example.com"
}
'import requests
url = "https://api.pruff.com/api/clients/datahub/associateUser"
payload = {
"businessIdentifier": "11111111-1",
"email": "ana.perez@example.com"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({businessIdentifier: '11111111-1', email: 'ana.perez@example.com'})
};
fetch('https://api.pruff.com/api/clients/datahub/associateUser', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pruff.com/api/clients/datahub/associateUser",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'businessIdentifier' => '11111111-1',
'email' => 'ana.perez@example.com'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pruff.com/api/clients/datahub/associateUser"
payload := strings.NewReader("{\n \"businessIdentifier\": \"11111111-1\",\n \"email\": \"ana.perez@example.com\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pruff.com/api/clients/datahub/associateUser")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"businessIdentifier\": \"11111111-1\",\n \"email\": \"ana.perez@example.com\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pruff.com/api/clients/datahub/associateUser")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"businessIdentifier\": \"11111111-1\",\n \"email\": \"ana.perez@example.com\"\n}"
response = http.request(request)
puts response.read_body{
"message": "User associated successfully"
}Cuerpo
application/json